/* See components/buttons.css for navigation buttons */

/* dark-bg COLORS */
@media (max-width: 575.98px) {
#navigation .dark-bg .menu-item a,
#navigation .dark-bg .menu-item a:visited,
#navigation .dark-bg .menu-item,
#navigation .dark-bg .menu-item--expanded {
    color: var(--white);
}
#navigation .dark-bg .menu-item a:hover:not(#navigation .menu-item--expanded) {
    color: var(--royal_30);
    border-bottom: 1px solid var(--white);
}
#navigation .dark-bg #hamburger_menu span {
  background-color: var(--white);
}
#navigation .dark-bg #hamburger_menu:hover span {
  background-color: var(--royal_30);
}
#navigation .dark-bg #hamburger_menu.open span {
  background-color: var(--yellow);
}
#navigation .dark-bg #hamburger_menu.open:hover span {
  background-color: var(--highlight);
}

}
@media (min-width: 576px) {
#navigation .dark-bg .menu-item a:not(#navigation .menu-item .menu-item a),
#navigation .dark-bg .menu-item,
#navigation .dark-bg .menu-item--expanded {
    color: var(--white);
}
#navigation .dark-bg .menu-item a:hover:not(#navigation .menu-item .menu-item a) {
    border-bottom: 1px solid var(--white);
}
}


/* LAYOUT */
a#site_logo, a#site_logo:hover {
    border-bottom: none !important;
}
#site_logo {
    border-bottom: none;
    display: flex;
    padding: 0;
}

#navigation {
    width: 100%;
}
#navigation .layout {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
#navigation .layout__region--second {
    display: block;
}
#navigation li {
	list-style-type: none;
}
#navigation .menu {
    padding-left: .5rem;
    margin: 0;
    font-size: 1rem;
    font-weight: bold;
}
#navigation .menu-item span {
    display: block;
}
#navigation .menu-item::marker {
    content: none;
}
#navigation .menu-item--expanded .menu-item span::after {
    content: "";
}
#navigation .menu-item .menu {
    padding-left: 0;
}
#navigation .menu-item .menu-item {
    padding: .625rem .875rem;
}
#navigation a {
    border-bottom: 1px solid transparent;
    color: var(--navy);
}
#navigation a:hover:not(#navigation .menu-item--expanded) {
    border-bottom: 1px solid var(--navy);
    color: var(--royal);
}
#navigation .menu-item--expanded span::after {
	font-family:'Font Awesome 6 Free';
	line-height:0;
    content: "\00a0\f107";
}

/* HAMBURGER MENU */
#hamburger_menu {
  cursor: pointer;
  width: 1.125rem;
  height: 1.125rem;
  position: relative;
  margin-left: .625rem;
  margin-right: .625rem;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
}
#hamburger_menu span {
  display: block;
  position: absolute;
  height: 2px;
  width: 100%;
  background-color: var(--royal);
  border-radius: 2px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
}
#hamburger_menu.open span {
  background-color: var(--red);
}
#hamburger_menu span:nth-child(1) {
  top: 0px;
}
#hamburger_menu span:nth-child(2),#hamburger_menu span:nth-child(3) {
  top: .375rem;
}
#hamburger_menu span:nth-child(4) {
  top: .75rem;
}
#hamburger_menu.open span:nth-child(1) {
  top: .75rem;
  width: 0%;
  left: 50%;
}
#hamburger_menu.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}
#hamburger_menu.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
#hamburger_menu.open span:nth-child(4) {
  top: .75rem;
  width: 0%;
  left: 50%;
}

/* BROWSERS UNDER 576px */
@media (max-width: 575.98px) {
#site_logo {
    display: inline-block;
}
#navigation .layout {
    flex-direction: column;
    position: relative;
}
#navigation .menu {
    display: flex;
    flex-direction: column;
    padding: 0;
}
#navigation .layout__region--first,
#navigation .layout__region--second {
    width: 100%;
}
#navigation .layout__region--first .__body {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}
#navigation .layout__region--first {
	padding: 1rem .25rem 0 1rem;
    margin-bottom: .625rem;
}
#navigation .layout__region--third {
    width: 100%;
    text-align: center;
    padding-top: .25rem;
    padding-bottom: 1rem;
}
#navigation #site-menu {
    font-size: 1.125rem;
    max-height: 0;
    overflow: hidden;
	padding: 0 !important;
}
#navigation .menu-item .menu-item {
    font-size: 1rem;
    padding-left: 1.125rem;
}
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
    border-top: 1px solid var(--gray_20);
    padding: .625rem 1rem;
    box-shadow: inset 0px 20px 30px -10px rgb(0 0 0 / 5%);
}
#navigation .menu-item--expanded span::after {
		content: unset;
	}
}

@media (min-width: 576px) {
#navigation .menu-item .menu {
    font-size: .875rem;
    border-radius: 0 0 4px 4px;
    border: 3px solid var(--white);
    box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.10), 0px 4px 6px -2px rgba(0, 0, 0, 0.05);
}
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
    float: left;
    padding-top: 0;
    cursor: pointer;
    padding-right: 1rem;
}
#navigation .menu-item--expanded .menu {
    position: relative;
    display: none;
}
#navigation .menu-item--expanded:hover .menu {
    z-index: 2;
    position: absolute;
    display: block;
    background-color: var(--white)
}
#hamburger_menu {
    display: none;
}
#site-menu li {
	padding-right: 1rem;
}
}

@media (min-width: 576px) and (max-width: 767.98px) {
#navigation .layout__region--first {
	padding-bottom: .75rem;
}
#navigation .layout__region--second {
    flex: 10 0 fit-content;
}
}

@media (min-width: 576px) and (max-width: 991.98px) {
#navigation .layout {
    align-items: end;
}
#navigation .layout__region--first {
    flex: 1 1 100%;
	padding-top: 1rem;
	padding-right: .5rem;
	padding-left: 1rem;
}
#navigation .layout__region--second {
    margin: 0 auto;
    padding-bottom: 1rem;
    padding-left: .5rem;
}
#navigation .layout__region--third {
    flex: 0 0 fit-content;
    padding: 0 1rem 1rem 1rem;
}
}

@media (min-width: 768px) and (max-width: 991.98px) {
#navigation .layout__region--first {
	padding-bottom: .75rem;
}
#navigation .layout__region--second {
    flex: 10 0 fit-content;
}
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
  padding-right: 1rem;
}
}

@media (min-width: 992px) {
#navigation .layout {
    max-width: 1440px;
    margin: 0 auto;
}
#navigation .layout__region--first {
    flex: 0 0 fit-content;
	padding: 1rem;
}
#navigation .layout__region--second {
    flex: 10 0 fit-content;
    margin: 0 auto;
}
#navigation .layout__region--third {
    flex: 0 0 fit-content;
    padding: 1rem;
}
}

@media (min-width: 992px) and (max-width: 1199.98px) {
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
  padding-right: 1.25rem;
}
}

@media (min-width: 1200px) and (max-width: 1439.98px) {
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
  padding-right: 1.5rem;
}
}

@media (min-width: 1440px) {
#navigation .menu-item:not(#navigation .menu-item .menu-item) {
  padding-right: 1.75rem;
}
}

@media screen and (prefers-reduced-motion: no-preference) {
#navigation #site-menu.open {
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
}
#navigation #site-menu {
    transition: max-height 0.5s ease-in-out;
}

#hamburger_menu {
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
}
#hamburger_menu span {
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}
}